class Kamikaze extends Bot {
  
  Kamikaze(Vec2 startPosition, float radius, float maxHitpoints){
    super(startPosition, radius, maxHitpoints);
    
    maxThrust = 70000; //70 000
    maxSpeed = 70;
    
    baseColor = color(255, 50, 50);
	points = 20;
	
	explosionDamage = 50;
	explosionRadiusFactor = 3;
	explosionImpulse = 5000;
  }  
  
  Kamikaze(Vec2 startPosition, float radius){
    this(startPosition, radius, 10);
  }
  
  void onCollisionResult(ContactResult result, PhysicalObject otherObject){
    //Self-destruct when we hit the player's ship
    if ( !dead && (otherObject instanceof PlayerShip) ){
	  PlayerShip player = (PlayerShip)otherObject;
	  player.takeDamage(explosionDamage, this, KAMIKAZE_DAMAGE);
	  aboutToExplode = true;
	  die(); 
    } else {
      super.onCollisionResult(result, otherObject);
    }
  }
  
  void drawHull(){
	if ( !dead ){
		stroke(150, 0, 0);
		fill(255, 50, 50);
    } else {
        stroke(180, getDeathlyAlpha());
        noFill();
    }
      
    rectMode(CORNER);
	float rectSize = radius * 0.9;
	rect(-rectSize, -rectSize, rectSize*2, rectSize*2);
	rotate(radians(45));
	rect(-rectSize, -rectSize, rectSize*2, rectSize*2);
	  
    ellipse(0, 0, radius*2, radius*2);
  }
}
